<?php

namespace ModelExporter;

class File
{
    /**
     * @param string|null $path
     * @return false|string|null
     */
    public function getData(?string $path)
    {
        if (!$path) return null;

        if (!file_exists($path)) {
            return null;
        }

        $data = file_get_contents($path);

        return $data;
    }

    public function save($data, ?string $dir)
    {
        $filePath = substr($dir, -1) === '/' ? $dir . 'schema.yaml' : $dir . '/schema.yaml';

        file_put_contents($filePath, $data);
    }
}
