/**
 * KPEye
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2016 All rights reserved
 * @package KPEYE
 */

/**
 * @author Eugene Melnik <e.melnik@luckywarepro.com>
 */
abstract class BaseUserProfile extends Doctrine_Record
{
    const GENDER_MALE = 1;
    const GENDER_FEMALE = 2;

    public function setTableDefinition()
    {
        $this->setTableName('user_profiles');

        $this->hasColumn('id', 'integer', 10, array(
            'type' => 'integer',
            'unsigned' => true,
            'primary' => true,
            'autoincrement' => true
        ));

        $this->hasColumn('firstname', 'string', 80, array(
            'notnull' => false
        ));

        $this->hasColumn('lastname', 'string', 80, array(
            'notnull' => false
        ));

        $this->hasColumn('gender', 'int', 4, array(
            'notnull' => false
        ));
    }

    public function setUp()
    {
        $this->actAs('Timestampable');
    }
}
