<?php
declare(strict_types=1);

namespace Tests;

use ModelExporter\File;
use ModelExporter\MEGenerator;
use PHPUnit\Framework\TestCase;
use Tests\Helpers\TestHelpers;

class MEGeneratorTest extends TestCase
{
    use TestHelpers;

    public function testGenerate()
    {
        $expectedYamlStructure = [
            'namespaces' => [
                'entity' => 'Entity'
            ],
            'types' => [
                'BaseUserProfile' => [
                    'properties' => [
                        'id' => '~',
                        'firstname' => '~',
                        'lastname' => '~',
                        'gender' => '~'
                    ]
                ],
            ]
        ];

        $generator = new MEGenerator();
        $file1Path = $this->getFilePath('BaseUserProfile.php');
        $file = new File();
        $data = $file->getData($file1Path);
        $yamlStructure = $generator->generate(['BaseUserProfile' => $data]);

        $this->assertEquals($expectedYamlStructure, $yamlStructure);
    }
}
